---
title: "Blend Constants"
date: 2021-01-28T12:55:51-08:00
weight: 11
---

Blend constants are only used with `BlendFactor.ConstantColor` and `BlendFactor.OneMinusConstantColor` blend factors. If you aren't using these you don't have to bother.

```cs
var myBlendConstants = new BlendConstants
{
	R = 1.0f,
	G = 0.33f,
	B = 0.66f,
	A = 1.0f
};
```
