---
title: "Graphics Pipeline"
date: 2021-01-27T14:03:22-08:00
weight: 8
---

Graphics pipelines are where we put together every concept we have discussed so far, along with a few other details. A graphics pipeline sets up your graphics hardware so that it can process your rendering as quickly and efficiently as possible. It has a lot of state that we need to explain, so let's get started.

A graphics pipeline needs the following information in order to generate:

* Attachment Info
* Depth Stencil State
* Vertex Shader Info
* Fragment Shader Info
* Vertex Input State
* Multisample State
* Rasterizer State
* Primitive Type
* Viewport State
* Blend Constants

Whew, that's a lot! Let's break it down one thing at a time.
